Package com.emc.d2fs.models.x3_widget

# Class X3Widget

java.lang.Object
com.emc.d2fs.models.x3_widget.X3Widget

All Implemented Interfaces:
  `Serializable`

public class X3Widget extends Object implements Serializable

Java class for x3_widget complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="x3_widget">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="widgetChannels" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="widgetParameters" type="{http://www.emc.com/d2fs/models/x3_widget}widgetParameter" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="widgetId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetLabel" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetDescription" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetPreviewData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="widgetPreviewDataString" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetPreviewMime" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetUrl" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetIsOAJ" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="widgetIsUnloadProtect" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="widgetToolbar" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetShowToolbar" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X3Widget()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getWidgetChannels()`
  Gets the value of the widgetChannels property.
  `String`
  `getWidgetDescription()`
  Gets the value of the widgetDescription property.
  `String`
  `getWidgetId()`
  Gets the value of the widgetId property.
  `String`
  `getWidgetLabel()`
  Gets the value of the widgetLabel property.
  `List<WidgetParameter>`
  `getWidgetParameters()`
  Gets the value of the widgetParameters property.
  `byte[]`
  `getWidgetPreviewData()`
  Gets the value of the widgetPreviewData property.
  `String`
  `getWidgetPreviewDataString()`
  Gets the value of the widgetPreviewDataString property.
  `String`
  `getWidgetPreviewMime()`
  Gets the value of the widgetPreviewMime property.
  `String`
  `getWidgetToolbar()`
  Gets the value of the widgetToolbar property.
  `String`
  `getWidgetType()`
  Gets the value of the widgetType property.
  `String`
  `getWidgetUrl()`
  Gets the value of the widgetUrl property.
  `Boolean`
  `isWidgetIsOAJ()`
  Gets the value of the widgetIsOAJ property.
  `Boolean`
  `isWidgetIsUnloadProtect()`
  Gets the value of the widgetIsUnloadProtect property.
  `Boolean`
  `isWidgetShowToolbar()`
  Gets the value of the widgetShowToolbar property.
  `void`
  `setWidgetDescription(String value)`
  Sets the value of the widgetDescription property.
  `void`
  `setWidgetId(String value)`
  Sets the value of the widgetId property.
  `void`
  `setWidgetIsOAJ(Boolean value)`
  Sets the value of the widgetIsOAJ property.
  `void`
  `setWidgetIsUnloadProtect(Boolean value)`
  Sets the value of the widgetIsUnloadProtect property.
  `void`
  `setWidgetLabel(String value)`
  Sets the value of the widgetLabel property.
  `void`
  `setWidgetPreviewData(byte[] value)`
  Sets the value of the widgetPreviewData property.
  `void`
  `setWidgetPreviewDataString(String value)`
  Sets the value of the widgetPreviewDataString property.
  `void`
  `setWidgetPreviewMime(String value)`
  Sets the value of the widgetPreviewMime property.
  `void`
  `setWidgetShowToolbar(Boolean value)`
  Sets the value of the widgetShowToolbar property.
  `void`
  `setWidgetToolbar(String value)`
  Sets the value of the widgetToolbar property.
  `void`
  `setWidgetType(String value)`
  Sets the value of the widgetType property.
  `void`
  `setWidgetUrl(String value)`
  Sets the value of the widgetUrl property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### X3Widget

    public X3Widget()

- ## Method Details

  - ### getWidgetChannels

    public List<String> getWidgetChannels()
    Gets the value of the widgetChannels property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the widgetChannels property.

    For example, to add a new item, do as follows:

            getWidgetChannels().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getWidgetParameters

    public List<WidgetParameter> getWidgetParameters()
    Gets the value of the widgetParameters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the widgetParameters property.

    For example, to add a new item, do as follows:

            getWidgetParameters().add(newItem);

    Objects of the following type(s) are allowed in the list `WidgetParameter`

  - ### getWidgetId

    public String getWidgetId()
    Gets the value of the widgetId property.
    Returns:
      possible object is `String`

  - ### setWidgetId

    public void setWidgetId(String value)
    Sets the value of the widgetId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetType

    public String getWidgetType()
    Gets the value of the widgetType property.
    Returns:
      possible object is `String`

  - ### setWidgetType

    public void setWidgetType(String value)
    Sets the value of the widgetType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetLabel

    public String getWidgetLabel()
    Gets the value of the widgetLabel property.
    Returns:
      possible object is `String`

  - ### setWidgetLabel

    public void setWidgetLabel(String value)
    Sets the value of the widgetLabel property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetDescription

    public String getWidgetDescription()
    Gets the value of the widgetDescription property.
    Returns:
      possible object is `String`

  - ### setWidgetDescription

    public void setWidgetDescription(String value)
    Sets the value of the widgetDescription property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetPreviewData

    public byte[] getWidgetPreviewData()
    Gets the value of the widgetPreviewData property.
    Returns:
      possible object is byte[]

  - ### setWidgetPreviewData

    public void setWidgetPreviewData(byte[] value)
    Sets the value of the widgetPreviewData property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getWidgetPreviewDataString

    public String getWidgetPreviewDataString()
    Gets the value of the widgetPreviewDataString property.
    Returns:
      possible object is `String`

  - ### setWidgetPreviewDataString

    public void setWidgetPreviewDataString(String value)
    Sets the value of the widgetPreviewDataString property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetPreviewMime

    public String getWidgetPreviewMime()
    Gets the value of the widgetPreviewMime property.
    Returns:
      possible object is `String`

  - ### setWidgetPreviewMime

    public void setWidgetPreviewMime(String value)
    Sets the value of the widgetPreviewMime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetUrl

    public String getWidgetUrl()
    Gets the value of the widgetUrl property.
    Returns:
      possible object is `String`

  - ### setWidgetUrl

    public void setWidgetUrl(String value)
    Sets the value of the widgetUrl property.
    Parameters:
      `value` - allowed object is `String`

  - ### isWidgetIsOAJ

    public Boolean isWidgetIsOAJ()
    Gets the value of the widgetIsOAJ property.
    Returns:
      possible object is `Boolean`

  - ### setWidgetIsOAJ

    public void setWidgetIsOAJ(Boolean value)
    Sets the value of the widgetIsOAJ property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isWidgetIsUnloadProtect

    public Boolean isWidgetIsUnloadProtect()
    Gets the value of the widgetIsUnloadProtect property.
    Returns:
      possible object is `Boolean`

  - ### setWidgetIsUnloadProtect

    public void setWidgetIsUnloadProtect(Boolean value)
    Sets the value of the widgetIsUnloadProtect property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getWidgetToolbar

    public String getWidgetToolbar()
    Gets the value of the widgetToolbar property.
    Returns:
      possible object is `String`

  - ### setWidgetToolbar

    public void setWidgetToolbar(String value)
    Sets the value of the widgetToolbar property.
    Parameters:
      `value` - allowed object is `String`

  - ### isWidgetShowToolbar

    public Boolean isWidgetShowToolbar()
    Gets the value of the widgetShowToolbar property.
    Returns:
      possible object is `Boolean`

  - ### setWidgetShowToolbar

    public void setWidgetShowToolbar(Boolean value)
    Sets the value of the widgetShowToolbar property.
    Parameters:
      `value` - allowed object is `Boolean`